#ifndef __CSPI_1_H__
#define __CSPI_1_H__

#include "stdint.h"

class Polled_CSPI_1
{
	public:
		static void InitializeMasterMode(void);
		static void Enable();
		static void Disable();
		static void EnableLoopback();
		static void DisableLoopback();
		static bool SampleAvailable(void);
		static bool ReceiveOverrun(void);
		static uint32_t GetSample(void);
		static void	SendSample(uint32_t sample);  // Loopback Only
	private:
		static uint32_t sampleCounter;
};

#endif // __CSPI_1_H__
